/*! HTML5 Boilerplate v7.0.1 | MIT License | https://html5boilerplate.com/ */

/* main.css 1.0.0 | MIT License | https://github.com/h5bp/main.css#readme */
/*
 * What follows is the result of much research on cross-browser styling.
 * Credit left inline and big thanks to Nicolas Gallagher, Jonathan Neal,
 * Kroc Camen, and the H5BP dev community and team.
 */

 
/* ==========================================================================
	Base styles: opinionated defaults
	========================================================================== */

	html {
		color: #000;
		font-size: 16px;
		line-height: 1.4;
	}
	*, a, button, input, button:focus {
		outline: none;
	}

/*
 * Remove text-shadow in selection highlight:
 * https://twitter.com/miketaylr/status/12228805301
 *
 * Vendor-prefixed and regular ::selection selectors cannot be combined:
 * https://stackoverflow.com/a/16982510/7133471
 *
 * Customize the background color to match your design.
 */

 ::selection {
 	background: #b3d4fc;
 	text-shadow: none;
 }

/*
 * A better looking default horizontal rule
 */

 hr {
 	display: block;
 	height: 1px;
 	border: 0;
 	border-top: 1px solid #ccc;
 	margin: 1em 0;
 	padding: 0;
 }

/*
 * Remove the gap between audio, canvas, iframes,
 * images, videos and the bottom of their containers:
 * https://github.com/h5bp/html5-boilerplate/issues/440
 */

 audio,
 canvas,
 iframe,
 img,
 svg,
 video {
 	vertical-align: middle;
 }

/*
 * Remove default fieldset styles.
 */

 fieldset {
 	border: 0;
 	margin: 0;
 	padding: 0;
 }

/*
 * Allow only vertical resizing of textareas.
 */

 textarea {
 	resize: vertical;
 }

/* ==========================================================================
	Browser Upgrade Prompt
	========================================================================== */

	.browserupgrade {
		margin: 0.2em 0;
		background: #ccc;
		color: #000;
		padding: 0.2em 0;
	}

 /* ==========================================================================
	Author's custom styles
	========================================================================== */
	
	// Font import Roboto Condensed
	@import url('https://fonts.googleapis.com/css?family=Roboto+Condensed:400,700&display=swap&subset=cyrillic');

	@orange: #EE7527;
	@black: #333333;
	@blue: #00467A;
	@blue-light: #006EC0;
	@grey: #999999;
	@grey-light: #DDDDDD;
	@white: #fff;
	@Roboto: 'Roboto Condensed', sans-serif;

	body {
		font-family: @Roboto;
		color: @black;
		font-size: 16px;
		line-height: 22px;
		background: url(../img/bg1.png) 53vw 0 no-repeat; 
	}
	*, *:before, *:after {
		font-family: @Roboto;
		font-size: 1rem;
		box-sizing: border-box;
	}
	strong {
		font-family: @Roboto;
	}
	
	a {
		color: @blue;
		text-decoration:underline;
		&:hover {
			text-decoration:none;
		}
		&:active, &:focus {
			color: @blue-light;
		}
		&:visited {
			color: @orange;
		}
	}

	// Global
	.pretitle {
		text-transform: uppercase;
		font-size: 0.875rem;
		color: @blue;
		opacity: 0.6;
	}
	.title {
		text-transform: uppercase;
		margin: 15px 0 40px;
		font-size: 3.5rem;
		letter-spacing: -0.5px;
		line-height: 3.5rem;
		color: @blue;
	}
	.text-right {
		text-align: right;
	}

	h1, h1 strong {
		color: @blue;
		font-size: 3.5rem;
		line-height: 3.5rem;
	}
	h2 {
		color: @blue;
		font-size: 2.6rem;
		line-height: 2.6rem;
	}
	h3 {
		color: @blue;
		font-size: 1.5rem;
		line-height: 1.5rem;
	}
	h4 {
		color: @blue;
		font-size: 1.3rem;
		line-height: 1.3rem;
	}
	h5 {
		color: @blue;
		font-size: 1.125rem;
		line-height: 1.125rem;
	}
	h6 {
		color: @blue;
		font-size: 1rem;
		line-height: 1rem;
	}

	.container {
		max-width: 1440px;
		margin: 0 auto;
	}
	.grid {
		display: grid;
	}
	
	/* Header style begin*/
	.header {
		&__row {
			padding: 23px 0;
			grid-template-columns: 1fr 1fr;
			grid-gap: 10px;
			align-items: center;
		}
		&__column {
			
		}
	}
	.item-header {
		grid-template-columns: 1fr 1fr 1fr;
		align-items: center;
		grid-gap: 10px;
		&__address {
			svg {
				fill-opacity: 54%;
				fill: @black;
				width: 24px;
				height: 24px;
				margin-right: 9px;
			}
		}
		&__phone {
			display: flex;
			position: relative;
			padding-left: 17%;
			align-items: center;
			&:before {
				content: '';
				position: absolute;
				background-color: @grey-light;
				display: block;
				height: 45px;
				width: 1px;
				left: 6px;
				top: -12px;
			}
			a {
				color: @black;
				text-decoration: none;
			}
			svg {
				fill-opacity: 54%;
				fill: @black;
				width: 24px;
				height: 24px;
				margin-right: 12px;
			}
		}
		&__button {
			.btn {
				width: 100%;
				display: flex;
				align-items: center;
				justify-content: space-evenly;
				& svg {
					fill: @white;
					width: 24px;
					height: 24px;
					margin-right: 10px;
					margin-left: -10px;
				}
			}
		}
	}
	.menu-navigation {
		display: none;
	}
	/* Header style end*/

	// MODAL
	.modal {
		position: fixed;
		left: 0;
		top: 0;
		right: 0;
		bottom: 0;
		background: rgba(0, 0, 0, 0.6);
		z-index: 99999;
		display: grid;
		align-items: center;
		padding: 40px;

		&__content {
			display: block;
			background-color: #FFF;
			border-radius: 4px;
			width: 100%;
			max-width: 700px;
			margin: auto;
			position: relative;

			&__close {
				position: absolute;
				right: 0;
				top: -50px;
				border: 0;
				background-color: rgba(255, 255, 255, 0.2);
				color: #FFF;
				padding: 0 20px;
				height: 40px;
				border-radius: 4px;
				cursor: pointer;

				&:hover {
					background-color: rgba(255, 255, 255, 0.9);
					color: #333;
				}
			}

			&__result {
				display: block;
				text-align: center;
				padding: 30px;

				& .ok {
					display: flex;
					align-items: center;
					justify-content: center;
					width: 80px;
					height: 80px;
					border-radius: 100px;
					margin: 0 auto 20px;
					background-color: #4caf50;
					box-shadow: 0 0 0 20px rgba(76, 175, 80, 0.1), 0 0 0 40px rgba(76, 175, 80, 0.1);

					& svg {
						display: block;
						width: 40px;
						height: 40px;
						fill: #FFF;
						margin: auto;
					}
				}
				& h1 {
					margin: 30px 0 0;
				}
			}

			&__body {
				display: grid;
				grid-template-columns: 1fr 1fr;

				&__left {
					border-radius: 4px 0 0 4px;
					overflow: hidden;
					background-color: #EEE;
					background-image: url('../img/modal-img.jpg');
					background-position: center;
					background-repeat: no-repeat;
					background-size: cover;
				}

				&__right {
					padding: 30px 40px;

					&__form {
						display: block;
						
						h3 {
							display: block;
							font-size: 24px;
							margin: 0 0 5px;
							font-weight: bold;
						}
						p {
							display: block;
							margin: 0;
							font-size: 12px;
							color: #999;
						}

						&__item {
							display: block;
							margin: 20px 0;

							label {
								display: block;
								font-size: 12px;
								color: #777;
								margin: 0 0 5px;
							}
							input {
								display: block;
								border: 2px #DDD solid;
								border-radius: 4px;
								padding: 0 20px;
								height: 50px;
								width: 100%;

								&:focus {
									border-color: @blue !important;
								}
							}
						}
					}
				}
			}
		}
	}
	.none {
		display: none;
	}
	.display {
		display: grid;
	}

	/* Content begin */
	.kredit {
		padding-bottom: 110px;
		&__row {
			padding: 0;
			grid-template-columns: 1fr 1fr;
			grid-gap: 30px;
			align-items: center;
		}
		&__column {
			
		}
	}
	.item-kredit {
		&__pretitle {
			color: @grey;
		}
		&__title {
			text-transform: uppercase;
			font-weight: normal;
			margin: -5px 0 30px;
			letter-spacing: -0.5px;
			line-height: 5.5rem;
			& strong {
				border-bottom: 4px solid @orange;
			}
		}
		&__form{
			display: flex;
			flex-direction: column;
			
			&-item{
				display: block;
				margin: 30px 0 0;

				& label{
					display: block;
					font-size: 12px;
					text-transform: uppercase;
					color: #777;
					margin: 0 0 5px;
				}
				& input[type="text"]{
					display: block;
					font-size: 24px;
					font-weight: bold;
					text-transform: uppercase;
					color: @blue;
					margin: 0;
					padding: 0 20px;
					height: 50px;
					border: 2px @grey-light solid;
					border-bottom: 0;
					border-radius: 4px 4px 0 0;
					width: 100%;
				}

				&__input {
					position: relative;

					& span{
						position: absolute;
						right: 0;
						top: 0;
						bottom: 0;
						display: flex;
						align-items: center;
						padding: 0 20px;
						font-size: 16px;
						color: #999;
					}
				}

				&__range{ 
					background-color: transparent;
					position: relative;

					& input[type=range] {
						-webkit-appearance: none;
						border-radius: 0 0 4px 4px;
						width: 100%;
						height: 10px;
						outline : none;
						background-color: transparent;
						display: block;
					}
					& input[type=range]::-webkit-slider-thumb {
						-webkit-appearance: none;
					}
					& input[type=range]::-ms-track {
						width: 100%;
						cursor: pointer;
						background: transparent; 
						border-color: transparent;
						color: transparent;
					}

					& input[type=range]::-webkit-slider-thumb {
						-webkit-appearance: none;
						position: relative;
						z-index: 10;
						width: 22px;
						height: 22px;
						background: @orange;
						border-radius: 3px;
						cursor: pointer;
						transform: scale(1);
						transition: .1s;
					}
					& input[type=range]::-webkit-slider-thumb:active {
						box-shadow: 0 0 0 5px rgba(238, 117, 39, 0.3);
						transition: .1s;
					}

					&-progress {
						position: absolute;
						left: 0;
						top: 0;
						bottom: 0;
						right: 0;
						background-color: @grey-light;
						width: 100%;
						z-index: -1;
						overflow: hidden;
						border-radius: 0 0 4px 4px;

						& span {
							position: absolute;
							left: 0;
							top: 0;
							bottom: 0;
							background-color: @blue;
							width: 0%;
							z-index: 0;
						}
					}
				}

				&__tips{
					display: flex;
					align-items: center;
					justify-content: space-between;
					color: @blue;
					margin: 10px 0 0;
					font-weight: bold;

					& span{
						font-size: 14px;
					}
				}
			}
		}
		&__result {
			display: block;
			margin: 25px auto 0;
			width: 400px;
			min-width: 320px;
			height: 100%;
			border: 3px solid @blue;
			border-radius: 10px;
			box-shadow: 0px 0 0 12px rgba(0, 70, 122, 0.1);
			background: @white;
			h3 {
				margin: 0;
				padding: 25px 30px;
				color: @grey;
				font-weight: normal;
				text-transform: uppercase;
				border-bottom: 1px solid @grey-light;
			}
			&__procent {
				border-bottom: 1px solid @grey-light;
			}
			&__procent, &__payments {
				padding: 30px;
				span {
					font-size: 3.5rem;
					font-weight: bold;
					color: @blue;
				}
				p {
					color: @grey;
					margin-top: 0;
					margin-bottom: 25px;
				}
			}
			&__btn {
				padding: 40px 30px;
				.btn {
					width: 100%;
					font-size: 1.125rem;
					text-transform: uppercase;
					// font-weight: bold;
				}
			}
		}
	}
	/* Content end */

	.advantage, .payment {
		padding: 100px 0;
		&__row {
			grid-template-columns: repeat(4, 1fr);
			grid-gap: 30px;
		}
		&__column {
			border: 1px solid @grey-light;
			box-sizing: border-box;
			border-radius: 4px;
			padding: 30px;
			cursor: pointer;
			box-shadow: none;
			transition: .3s;
			background: #fff;
		}
		&__column:hover{
			border-color: @blue;
			box-shadow: inset 0 0 0 1px @blue,
			0 20px 40px -1px rgba(0, 70, 122, 0.26);
			transition: .3s;
		}
	}
	.item-advantage, .item-payment {
		grid-template-columns: 34px 1fr;
		grid-gap: 20px;

		&__icon svg{
			display: block;
			width: 34px;
			height: 34px;
			fill: @orange;
		}
		&__content h5{
			text-transform: uppercase;
			margin: 10px 0 15px;
		}
		&__content p{
			font-size: 14px;
			color: #777;
			margin: 0;
		}
	}

	.advantage {
		&__column:nth-child(4) {
			grid-column-start: 2;
		}
		& .container {
			position: relative;
			&:before {
				content: '';
				background: url(../img/bg2.jpg) top right no-repeat;
				display: block;
				position: absolute;
				right: 65%;
				top: 350px;
				width: 3000px;
				height: 1680px;
				z-index: -1;
			}
		}
	}
	.payment {
		padding: 100px 0;
		&__row {
			grid-template-columns: minmax(150px, 1fr) 1fr 1fr 1fr;
		}
		&__column:first-child {
			grid-column-start: 3;
		}
		&__column:nth-child(3) {
			grid-column-start: 2;
		}
	}

	.loan {
		// background: url(../img/bg2.jpg) -110vw 0 no-repeat; 
		padding: 100px 0;
		&__row {
			grid-template-columns: minmax(150px, 2.5fr) 1fr 1fr 1fr;
			grid-gap: 100px;
		}
		&__column {
			position: relative;
			text-align: right;
			padding: 50px 0;
			&:after {
				content: '';
				display: block;
				width: 66px;
				height: 16px;
				background: url(../img/arrow.png) left top no-repeat;
				position: absolute;
				left: -65px;
				top: 66px;
			}
			&:first-child:after {
				display: none;
			}
		}
		&__column:first-child {
			grid-column-start: 2;
		}
		&__column:last-child {
			justify-content: end;
		}
	}
	.item-loan {
		text-transform: uppercase;
		font-weight: bold;
		position: relative;
		&__number {
			position: absolute;
			right: 0;
			font-size: 142px;
			line-height: 45px;
			color: @blue;
			opacity: 0.08;
		}
	}


	/* Lead style begin */
	.lead {
		.bg-gray {
			padding: 60px 0;
			background-color: #f5f5f5;
		}
		padding: 60px 0 30px;
		overflow: hidden;
		position: relative;
		&__row {
			grid-template-columns: 2fr 1fr;
			grid-gap: 30px;
		}
		&__column {
			grid-template-columns: 1fr 1fr 1fr;
			grid-gap: 30px;
			.lead-form {
				grid-template-columns: 1fr 1fr 1fr;
				grid-gap: 30px;
				// display: flex;
				&__input {
					padding: 10px 21px;
					background: #FFFFFF;
					border: 1px solid #DDDDDD;
					box-sizing: border-box;
					border-radius: 4px;
				}
			}
			&.grid {
				position: absolute;
				right: -8vw;
				top: 0;
				.item-lead {
					height: 180px;
					width: 350px;
					background: @blue;
					border-radius: 4px;
					overflow: hidden;
					&:nth-child(3) {
						grid-column-start: 2;
					}
					img {
						transition: 0.4s;
						-o-fit-object: cover;
						object-fit: cover;
						z-index: 1;
						width: 100%;
						height: auto;
						min-height: 100%;
					}
				}
			}
		}
		&__pretitle {
			color: @grey;
			opacity: 0.9;
		}
	}	
	/* Lead style end */

	/* Footer style begin */
	footer {
		padding: 15px 0;
		.copyright {
			padding: 0;
			margin: 0;
			list-style: none;
			display: flex;
			align-items: center;
			li {
				padding: 5px 30px;
				&:first-child {
					padding-left: 0;
					border-right: 1px solid @grey-light;
				}
				&:last-child {
					padding-right: 0;
				}
				a {
					color: @grey;
					text-decoration: none;
					text-transform: uppercase;
				}
			}
		}
	}
	/* Footer style end */

	.table-borderless, .table-borderless td, .table-borderless th {
		border: none !important;
	}
	
	/* Modal */
	.modal {
		.close {
			background: #a9b4d6;
			border-radius: 20px;
			height: 25px;
			width: 25px;
			padding: 0;
			color: #fff;
			text-shadow: none;
			margin-top: 0px;
			margin-right: 0px;
			text-align: center;
			span {
				font-size: 22px;
				display: block;
				margin: 0 auto;
				line-height: 26px;
			}
		}
		.modal-header {
			border: none;
		}
		h2 {
			font-size: 1.5rem;
			color: #262a37;
		}
		p {
			font-size: 1rem;
			color: #262a37;
		}
		form {
			padding:0;
		}
	}


	@media (max-width: 2560px) {
		
	}
	// @media (min-width: 1920px) {
	// 	.container {
	// 		// width: 1440px;
	// 		width: 1290px;
	// 	}
	// }
	@media (max-width: 1440px) {
		.container {
			width: 1290px;
		}
		.lead__column.grid {
			right: -20vw;
		}
	}
	@media (max-width: 1200px) {
		.container {
			width: 980px;
		}
		.header {
			&__row {
				grid-template-columns: 1fr 3fr;
			}
		}
		.title {
			font-size: 2.5rem;
			line-height: 2.5rem;
		}
		.item-kredit {
			&__title {
				font-size: 2.5rem;
				line-height: 2.5rem;
				strong {
					font-size: 2.5rem;
				}
			}
			&__result {
				&__procent span, &__payments span {
					font-size: 2.5rem;
					line-height: 2.5rem;
				}
				&__procent, &__payments, h3 {
					padding: 20px 15px;
				}
				&__procent p, &__payments p {
					margin-bottom: 10px;
				}
			}
		}
		.advantage__row {
			grid-template-columns: repeat(3, 1fr);
			.advantage__column {
				grid-column-start: auto;
			}
		}
		.payment__row {
			grid-template-columns: 1fr 1fr;
			.payment__column {
				grid-column-start: auto;
			}
		}
		.loan__row {
			grid-template-columns: 1fr 1fr 1fr;
			.loan__column {
				grid-column-start: auto;
			}
		}
		.advantage, .payment, .loan {
			padding: 60px 0;
		}
		.lead__row {
			grid-template-columns: 1fr;
		}
		.lead__column.grid {
			right: 0;
			position: relative;
			grid-template-columns: 1fr 1fr;
			& .item-lead {
				height: 200px;
				width: 100%;
				&:nth-child(3) {
					grid-column-start: auto;
				}
			}
		}
	}
	@media (max-width: 768px) {
		.container {
			width: 720px;
		}
		.header {
			&__row {
				grid-template-columns: 1fr;
			}
		}
		.title {
			font-size: 2.5rem;
			line-height: 2.5rem;
		}
		.kredit__row {
			grid-template-columns: 1fr;
		}
		.item-kredit {
			&__title {
				font-size: 2.5rem;
				line-height: 2.5rem;
				strong {
					font-size: 2.5rem;
				}
			}
			&__result {
				&__procent span, &__payments span {
					font-size: 2.5rem;
					line-height: 2.5rem;
				}
				&__procent, &__payments, h3 {
					padding: 20px 15px;
				}
				&__procent p, &__payments p {
					margin-bottom: 10px;
				}
			}
		}
		.advantage__row {
			grid-template-columns: 1fr 1fr;
			.advantage__column {
				grid-column-start: auto;
			}
		}
		.payment__row {
			grid-template-columns: 1fr 1fr;
			.payment__column {
				grid-column-start: auto;
			}
		}
		.loan__row {
			grid-template-columns: 1fr 1fr 1fr;
			.loan__column {
				grid-column-start: auto;
			}
		}
		.advantage, .payment, .loan {
			padding: 60px 0;
		}
	}
	@media (max-width: 425px) {
		.container {
			width: 100vw;
			padding-left: 15px;
			padding-right: 15px;
		}
		h1 {
			font-size: 2rem;
		}
		h2 {
			font-size: 1.8rem;
		}
		h3 {
			font-size: 1.4rem;
		}
		h4 {
			font-size: 1.14rem;
		}
		h5 {
			font-size: 1.1rem;
		}
		h6 {
			font-size: 1rem;
		}
		html {
			font-size: 14px;
		}
		.header {
			img {
				width: 30vw;
				margin: 0 auto;
			}
			&__row {
				grid-template-columns: 1fr;
			}
			&__column {
				display: grid;
				grid-template-columns: 1fr 1fr;
				&:nth-child(2) {
					display: none;
				}
				.menu-navigation {
					display: block;
				}
			}
			.item-header {
				grid-template-columns: 1fr;
				text-align: left;
				&__phone {
					padding: 0;
					&:before {
						display: none;
					}
				}
			}
		}
		.title {
			font-size: 2rem;
			line-height: 2rem;
		}
		.kredit {
			padding: 10px 0;
			&__row {
				grid-template-columns: 1fr;
			}
		}
		.item-kredit {
			&__title {
				font-size: 2.5rem;
				line-height: 2.5rem;
				strong {
					font-size: 2.5rem;
				}
			}
			&__result {
				&__procent span, &__payments span {
					font-size: 2.5rem;
					line-height: 2.5rem;
				}
				&__procent, &__payments, h3 {
					padding: 20px 15px;
				}
				&__procent p, &__payments p {
					margin-bottom: 10px;
				}
			}
		}
		.item-kredit__result {
			width: 90%;
			min-width: 280px;
		}
		.advantage__row {
			grid-template-columns: 1fr;
			.advantage__column {
				grid-column-start: auto;
			}
		}
		.payment__row {
			grid-template-columns: 1fr;
			.payment__column {
				grid-column-start: auto;
			}
		}
		.loan__row {
			grid-template-columns: 1fr;
			grid-gap: 20px;
			.loan__column {
				grid-column-start: auto;
				&:after {
					left: 0;
					top: 0;
				}
			}
		}
		.advantage, .payment, .loan {
			padding: 30px 0;
		}
		.lead__column .lead-form {
			grid-template-columns: 1fr;
		}
		.lead__column.grid {
			grid-template-columns: 1fr;
		}
		footer .copyright {
			display: block;
			li {
				padding-left: 0;
				&:first-child {
					border: none;
				}
			}
		}
		.modal {
			padding: 0;
		}
		.text-right {
			text-align: left;
		}
	}
	@media (max-width: 375px) {
		
	}
	@media (max-width: 320px) {
		
	}

	.btn {
		padding: 14px 24px;
		border-radius: 4px;
		line-height: normal;
		text-transform: uppercase;
		border: none;
		cursor: pointer;
		background-color: @blue;
	}
	.btn-primary {
		color: #fff;
		background-color: @orange;
		box-shadow: none;
		transform: scale(1);
		transition: .3s;

		&:hover {
			background-color: @orange;
			box-shadow: 0 10px 30px -2px rgba(238, 117, 39, 0.45);
			transition: .3s;
		}
		&:active {
			background-color: @orange;
			transform: scale(0.9);
			box-shadow: none;
			transition: .3s;
		}
	}
	section {
		padding-top: 60px;
		padding-bottom: 60px;
	}


 /* ==========================================================================
	Helper classes
	========================================================================== */

/*
 * Hide visually and from screen readers
 */

 .hidden {
 	display: none !important;
 }

/*
* Hide only visually, but have it available for screen readers:
* https://snook.ca/archives/html_and_css/hiding-content-for-accessibility
*
* 1. For long content, line feeds are not interpreted as spaces and small width
*    causes content to wrap 1 word per line:
*    https://medium.com/@jessebeach/beware-smushed-off-screen-accessible-text-5952a4c2cbfe
*/

.visuallyhidden {
	border: 0;
	clip: rect(0 0 0 0);
	height: 1px;
	margin: -1px;
	overflow: hidden;
	padding: 0;
	position: absolute;
	width: 1px;
	white-space: nowrap; /* 1 */
}

/*
* Extends the .visuallyhidden class to allow the element
* to be focusable when navigated to via the keyboard:
* https://www.drupal.org/node/897638
*/

.visuallyhidden.focusable:active,
.visuallyhidden.focusable:focus {
	clip: auto;
	height: auto;
	margin: 0;
	overflow: visible;
	position: static;
	width: auto;
	white-space: inherit;
}

/*
* Hide visually and from screen readers, but maintain layout
*/

.invisible {
	visibility: hidden;
}

/*
* Clearfix: contain floats
*
* For modern browsers
* 1. The space content is one way to avoid an Opera bug when the
*    `contenteditable` attribute is included anywhere else in the document.
*    Otherwise it causes space to appear at the top and bottom of elements
*    that receive the `clearfix` class.
* 2. The use of `table` rather than `block` is only necessary if using
*    `:before` to contain the top-margins of child elements.
*/

.clearfix:before,
.clearfix:after {
	content: " "; /* 1 */
	display: table; /* 2 */
}

.clearfix:after {
	clear: both;
}


/* ==========================================================================
	EXAMPLE Media Queries for Responsive Design.
	These examples override the primary ('mobile first') styles.
	Modify as content requires.
	========================================================================== */

	@media only screen and (max-width: 35em) {
		/* Style adjustments for viewports that meet the condition */
	}

	@media print,
	(-webkit-min-device-pixel-ratio: 1.25),
	(min-resolution: 1.25dppx),
	(min-resolution: 120dpi) {
		/* Style adjustments for high resolution devices */
	}


/* ==========================================================================
	Print styles.
	Inlined to avoid the additional HTTP request:
	https://www.phpied.com/delay-loading-your-print-css/
	========================================================================== */

	@media print {
		*,
		*:before,
		*:after {
			background: transparent !important;
			color: #000 !important; /* Black prints faster */
			-webkit-box-shadow: none !important;
			box-shadow: none !important;
			text-shadow: none !important;
		}

		a,
		a:visited {
			text-decoration: underline;
		}

		a[href]:after {
			content: " (" attr(href) ")";
		}

		abbr[title]:after {
			content: " (" attr(title) ")";
		}

	/*
	* Don't show links that are fragment identifiers,
	* or use the `javascript:` pseudo protocol
	*/

	a[href^="#"]:after,
	a[href^="javascript:"]:after {
		content: "";
	}

	pre {
		white-space: pre-wrap !important;
	}
	pre,
	blockquote {
		border: 1px solid #999;
		page-break-inside: avoid;
	}

	/*
	* Printing Tables:
	* http://css-discuss.incutio.com/wiki/Printing_Tables
	*/

	thead {
		display: table-header-group;
	}

	tr,
	img {
		page-break-inside: avoid;
	}

	p,
	h2,
	h3 {
		orphans: 3;
		widows: 3;
	}

	h2,
	h3 {
		page-break-after: avoid;
	}
}




.menu-icon-toggle {
	display: block;
	width: 30px;
	height: 30px;
	position: relative;
	z-index: 29;
	margin: 0 0 0 auto;
}
.menu-show {
	position: absolute;
	width: 100vw;
	height: 100vh;
	top: 0;
	right: 0;
	overflow-x: hidden;
	z-index: -200;
	visibility: hidden;
	transition: all 0.3s 1s;
}
.open .menu-show {
	z-index:9;
	visibility: visible;
	transition: all 0.3s;
}
.home .menu-icon-toggle {
	top: 50px;
	position: absolute;
	right: 20px;
	top: 20px;
}
.menu-icon-toggle span {
	display: block;
	width: 100%;
	height: 2px;
	position: absolute;
	top: 50%;
	background-color: @orange;
	-webkit-transform: translate(0, -50%);
	transform: translate(0, -50%);
	transition: opacity 0.3s 0.3s;
}
.home:not(.open) .menu-icon-toggle span {
	background-color: @orange;
}
.menu-icon-toggle::before, .menu-icon-toggle::after {
	content: '';
	display: block;
	width: 100%;
	height: 2px;
	position: absolute;
	background-color: @orange;
	transition: top 0.3s 0.3s, bottom 0.3s 0.3s, -webkit-transform 0.3s;
	transition: transform 0.3s, top 0.3s 0.3s, bottom 0.3s 0.3s;
	transition: transform 0.3s, top 0.3s 0.3s, bottom 0.3s 0.3s, -webkit-transform 0.3s;
}
.menu-icon-toggle::before {
	top: 6px;
}
.menu-icon-toggle::after {
	bottom: 6px;
}
.open .menu-icon-toggle span {
	opacity: 0;
	transition: opacity 0.3s;
}
.open .menu-icon-toggle::before, .open .menu-icon-toggle::after {
	background-color: @blue;
}
.open .menu-icon-toggle::before {
	top: calc(50% - 1px);
	-webkit-transform: rotate(45deg);
	transform: rotate(45deg);
}
.open .menu-icon-toggle::after {
	bottom: calc(50% - 1px);
	-webkit-transform: rotate(-45deg);
	transform: rotate(-45deg);
}
.open .menu-icon-toggle::before, .open .menu-icon-toggle::after {
	transition: top 0.3s, bottom 0.3s, -webkit-transform 0.3s 0.3s;
	transition: top 0.3s, bottom 0.3s, transform 0.3s 0.3s;
	transition: top 0.3s, bottom 0.3s, transform 0.3s 0.3s, -webkit-transform 0.3s 0.3s;
}

.menu-background {
	visibility: hidden;
	width: 300%;
	height: 250px;
	position: absolute;
	left: -130%;
	background-color: @orange;
	transition: background-position 0.5s, visibility 0.5s 1s, -webkit-transform 0.5s 0.5s;
	transition: background-position 0.5s, transform 0.5s 0.5s, visibility 0.5s 1s;
	transition: background-position 0.5s, transform 0.5s 0.5s, visibility 0.5s 1s, -webkit-transform 0.5s 0.5s;
}
.open .menu-background {
	visibility: visible;
	transition: background-position 0.5s, -webkit-transform 0.5s 0.5s;
	transition: background-position 0.5s, transform 0.5s 0.5s;
	transition: background-position 0.5s, transform 0.5s 0.5s, -webkit-transform 0.5s 0.5s;
}
.menu-background.top {
	-webkit-transform: rotate(-45deg) translateY(-150%);
	transform: rotate(-45deg) translateY(-150%);
	background: linear-gradient(to top, @blue 50%, @orange 50%);
	background-size: 100% 200%;
	background-position: -100% 100%;
	z-index: 15;
}
.open .menu-background.top {
	-webkit-transform: rotate(-45deg) translateY(-49%);
	transform: rotate(-45deg) translateY(-49%);
	background-position: 0 0;
}
.menu-background.middle {
	-webkit-transform: rotate(-45deg) translateY(50%) scaleY(0);
	transform: rotate(-45deg) translateY(50%) scaleY(0);
	background: @orange;
	z-index: 15;
}
.open .menu-background.middle {
	-webkit-transform: rotate(-45deg) translateY(50%) scaleY(1);
	transform: rotate(-45deg) translateY(50%) scaleY(1);
}
.menu-background.bottom {
	-webkit-transform: rotate(-45deg) translateY(250%);
	transform: rotate(-45deg) translateY(250%);
	background: linear-gradient(to bottom, @orange 50%, @blue 50%);
	background-size: 100% 200%;
	background-position: 0 -100%;
	z-index: 15;
}
.open .menu-background.bottom {
	-webkit-transform: rotate(-45deg) translateY(149%);
	transform: rotate(-45deg) translateY(149%);
	background-position: 0 0;
}

.menu {
	position: absolute;
	top: 50%;
	left: 50%;
	-webkit-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
	visibility: hidden;
	list-style-type: none;
	margin: 0;
	padding: 0;
	z-index: 99999;
	width: 60%;
}
.open .menu {
	visibility: visible;
}
.menu li {
	opacity: 0;
	margin-bottom: 5px;
	-webkit-transform: translateX(20px);
	transform: translateX(20px);
	transition: all 0.3s;
}
.menu li:nth-child(5) {
	transition-delay: 0.1s;
}
.menu li:nth-child(5) span {
	transition-delay: 0.1s;
}
.menu li:nth-child(4) {
	transition-delay: 0.2s;
}
.menu li:nth-child(4) span {
	transition-delay: 0.2s;
}
.menu li:nth-child(3) {
	transition-delay: 0.3s;
}
.menu li:nth-child(3) span {
	transition-delay: 0.3s;
}
.menu li:nth-child(2) {
	transition-delay: 0.4s;
}
.menu li:nth-child(2) span {
	transition-delay: 0.4s;
}
.menu li:nth-child(1) {
	transition-delay: 0.5s;
}
.menu li:nth-child(1) span {
	transition-delay: 0.5s;
}
.open .menu li {
	opacity: 1;
	-webkit-transform: translateX(0);
	transform: translateX(0);
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
}
.open .menu li:nth-child(1) {
	transition-delay: 1.1s;
}
.open .menu li:nth-child(1) span {
	transition-delay: 1.1s;
}
.open .menu li:nth-child(2) {
	transition-delay: 1.2s;
}
.open .menu li:nth-child(2) span {
	transition-delay: 1.2s;
}
.open .menu li:nth-child(3) {
	transition-delay: 1.3s;
}
.open .menu li:nth-child(3) span {
	transition-delay: 1.3s;
}
.open .menu li:nth-child(4) {
	transition-delay: 1.4s;
}
.open .menu li:nth-child(4) span {
	transition-delay: 1.4s;
}
.open .menu li:nth-child(5) {
	transition-delay: 1.5s;
}
.open .menu li:nth-child(5) span {
	transition-delay: 1.5s;
}
.menu a {
	position: relative;
	font-size: 24px;
	text-decoration: none;
	color: @blue;
}
.menu a::before {
	content: '';
	display: block;
	height: 2px;
	width: 0;
	position: absolute;
	left: -30px;
	top: 50%;
	background-color: @blue;
	-webkit-transform: translateY(-50%);
	transform: translateY(-50%);
	transition: width 0.3s;
}
.menu a:hover::before {
	width: 15px;
}

.content {
	position: absolute;
	top: 50%;
	left: 50%;
	-webkit-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
	width: 100%;
	text-align: center;
	color: #fff;
	transition: all 0.3s 1s;
}
.open .content {
	opacity: 0;
	transition: all 0.3s;
}